package cn.com.countrygarden.bi.main.model.wcx;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

@Deprecated
@Table(name = "wechat_user")
public class WcxUser {
    @Id
    private String openid; //  varchar(28) NOT NULL COMMENT '微信的唯一主键',
    @Column(name = "employeeid")
    private Long employeeid; //  int(11) DEFAULT NULL COMMENT '在职员工的唯一主键',
    @Column(name = "wechaturl")
    private String wechaturl; //  varchar(255) DEFAULT NULL COMMENT '微信的图片',
    @Column(name = "wechatname")
    private String wechatname; //  varchar(255) DEFAULT NULL COMMENT '微信的昵称',
    @Column(name = "wechatnumber")
    private String wechatnumber; //  varchar(99) DEFAULT NULL COMMENT '微信的账号',
    @Column(name = "createdate")
    private String createdate; //  datetime DEFAULT NULL COMMENT '时间日期',
    @Column(name = "status")
    private Integer status; //  int(2) DEFAULT NULL COMMENT '状态',
    @Column(name = "userstatus")
    private Integer userstatus; //  int(2) DEFAULT NULL COMMENT '角色状态 后台管理系统设置',
    @Column(name = "userphone")
    private String userphone; //  varchar(255) DEFAULT NULL COMMENT '用户手机号',
    @Column(name = "username")
    private String username; //  varchar(255) DEFAULT NULL COMMENT '用户姓名',
    @Column(name = "roleid")
    private String roleid; //  varchar(36) NOT NULL COMMENT '用户角色主键',
    @Column(name = "thumsrole")
    private Integer thumsrole; //  int(11) NOT NULL COMMENT '点赞数',
    @Column(name = "regionid")
    private String regionid; //  varchar(36) DEFAULT NULL COMMENT '区域表主键',
    @Column(name = "numberpoints")
    private Integer numberpoints; //  int(11) NOT NULL COMMENT '用户每天的点赞数',

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public Long getEmployeeid() {
        return employeeid;
    }

    public void setEmployeeid(Long employeeid) {
        this.employeeid = employeeid;
    }

    public String getWechaturl() {
        return wechaturl;
    }

    public void setWechaturl(String wechaturl) {
        this.wechaturl = wechaturl;
    }

    public String getWechatname() {
        return wechatname;
    }

    public void setWechatname(String wechatname) {
        this.wechatname = wechatname;
    }

    public String getWechatnumber() {
        return wechatnumber;
    }

    public void setWechatnumber(String wechatnumber) {
        this.wechatnumber = wechatnumber;
    }

    public String getCreatedate() {
        return createdate;
    }

    public void setCreatedate(String createdate) {
        this.createdate = createdate;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getUserstatus() {
        return userstatus;
    }

    public void setUserstatus(Integer userstatus) {
        this.userstatus = userstatus;
    }

    public String getUserphone() {
        return userphone;
    }

    public void setUserphone(String userphone) {
        this.userphone = userphone;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getRoleid() {
        return roleid;
    }

    public void setRoleid(String roleid) {
        this.roleid = roleid;
    }

    public Integer getThumsrole() {
        return thumsrole;
    }

    public void setThumsrole(Integer thumsrole) {
        this.thumsrole = thumsrole;
    }

    public String getRegionid() {
        return regionid;
    }

    public void setRegionid(String regionid) {
        this.regionid = regionid;
    }

    public Integer getNumberpoints() {
        return numberpoints;
    }

    public void setNumberpoints(Integer numberpoints) {
        this.numberpoints = numberpoints;
    }
}
